## linux-meta-azure-fde-6.17 6.17.0-1002.2~24.04.2

=== debian/changelog ===
linux-meta-azure-fde-6.17 (6.17.0-1002.2~24.04.2) noble; urgency=medium

  * Main version: 6.17.0-1002.2~24.04.2

 -- John Cabaj <john.cabaj@canonical.com>  Fri, 14 Nov 2025 11:25:32 -0600

linux-meta-azure-fde-6.17 (6.17.0-1002.2~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-1002.2~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- John Cabaj <john.cabaj@canonical.com>  Fri, 07 Nov 2025 04:20:43 -0600

linux-meta-azure-fde-6.17 (6.17.0-1000.0~24.04.1) noble; urgency=medium

  * Empty entry

 -- John Cabaj <john.cabaj@canonical.com>  Thu, 30 Oct 2025 16:18:58 -0500
