=== debian/control ===
Source: linux-meta-azure-fde-6.17
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.9.8
Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk, kmod
Build-Depends-Arch:
 linux-azure-fde-6.17-headers-6.17.0-1002,
 linux-headers-6.17.0-1002-azure-fde,
 linux-modules-6.17.0-1002-azure-fde,
Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-azure/+git/noble -b azure-fde

Package: linux-headers-azure-fde-6.17
Architecture: amd64
Section: metapackages
Priority: optional
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-azure-fde
Description: Linux kernel headers for Azure systems.
 This package will always depend on the latest kernel headers available
 for Azure systems.

Package: linux-image-azure-fde-6.17
Architecture: amd64
Section: metapackages
Provides: ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
Priority: optional
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-azure-fde
Description: Linux kernel image for Azure systems (kernel.efi).
 This package will always depend on the latest kernel image available
 for Azure systems.
 .
 This package will use kernel.efi during boot.

Package: linux-modules-extra-azure-fde-6.17
Architecture: amd64
Section: metapackages
Priority: optional
Provides: kernel-testing--linux-azure-fde-6.17--modules-extra--azure-fde,
Depends: ${misc:Depends}, linux-modules-extra-${kernel-abi-version}-azure-fde
Description: Linux kernel extra modules for Azure systems.
 This package will always depend on the latest extra modules package
 available for Azure systems.

Package: linux-azure-fde-6.17
Architecture: amd64
Section: metapackages
Priority: optional
Provides: kernel-testing--linux-azure-fde-6.17--full--azure-fde,
Depends: ${misc:Depends}, linux-image-azure-fde-6.17 (= ${binary:Version}), linux-headers-azure-fde-6.17 (= ${binary:Version}), linux-tools-azure-fde-6.17 (= ${binary:Version}), linux-cloud-tools-azure-fde-6.17 (= ${binary:Version})
Description: Complete Linux kernel for Azure systems (kernel.efi).
 This package will always depend on the latest complete Linux kernel available
 for Azure systems.
 .
 This package will use kernel.efi during boot.

Package: linux-tools-azure-fde-6.17
Architecture: amd64
Section: metapackages
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-azure-fde
Description: Linux kernel versioned tools for Azure systems.
 This package will always depend on the latest Linux kernel versioned tools
 available for Azure systems.

Package: linux-cloud-tools-azure-fde-6.17
Architecture: amd64
Section: metapackages
Provides: linux-cloud-tools
Depends: ${misc:Depends}, linux-cloud-tools-${kernel-abi-version}-azure-fde
Description: Linux kernel versioned cloud tools for Azure systems.
 This package will always depend on the latest Linux kernel versioned cloud
 tools available for Azure systems.

Package: linux-headers-azure-fde-edge
Architecture: amd64
Section: metapackages
Priority: optional
Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-azure-fde
Description: Linux kernel headers for Azure systems.
 This package will always depend on the latest kernel headers available
 for Azure systems.

Package: linux-image-azure-fde-edge
Architecture: amd64
Section: metapackages
Provides: ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
Priority: optional
Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-azure-fde
Description: Linux kernel image for Azure systems (kernel.efi).
 This package will always depend on the latest kernel image available
 for Azure systems.
 .
 This package will use kernel.efi during boot.

Package: linux-modules-extra-azure-fde-edge
Architecture: amd64
Section: metapackages
Priority: optional
Provides: 
Depends: ${misc:Depends}, linux-modules-extra-${kernel-abi-version}-azure-fde
Description: Linux kernel extra modules for Azure systems.
 This package will always depend on the latest extra modules package
 available for Azure systems.

Package: linux-azure-fde-edge
Architecture: amd64
Section: metapackages
Priority: optional
Provides: 
Depends: ${misc:Depends}, linux-image-azure-fde-edge (= ${binary:Version}), linux-headers-azure-fde-edge (= ${binary:Version}), linux-tools-azure-fde-edge (= ${binary:Version}), linux-cloud-tools-azure-fde-edge (= ${binary:Version})
Description: Complete Linux kernel for Azure systems (kernel.efi).
 This package will always depend on the latest complete Linux kernel available
 for Azure systems.
 .
 This package will use kernel.efi during boot.

Package: linux-tools-azure-fde-edge
Architecture: amd64
Section: metapackages
Provides: linux-tools
Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-azure-fde
Description: Linux kernel versioned tools for Azure systems.
 This package will always depend on the latest Linux kernel versioned tools
 available for Azure systems.

Package: linux-cloud-tools-azure-fde-edge
Architecture: amd64
Section: metapackages
Provides: linux-cloud-tools
Depends: ${misc:Depends}, linux-cloud-tools-${kernel-abi-version}-azure-fde
Description: Linux kernel versioned cloud tools for Azure systems.
 This package will always depend on the latest Linux kernel versioned cloud
 tools available for Azure systems.
