## linux-meta-azure-fde-6.17 6.17.0-1005.5~24.04.1

=== debian/changelog ===
linux-meta-azure-fde-6.17 (6.17.0-1005.5~24.04.1) noble; urgency=medium

  * Main version: 6.17.0-1005.5~24.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] debian/dkms-versions -- resync from main package

 -- John Cabaj <john.cabaj@canonical.com>  Mon, 26 Jan 2026 12:17:04 -0600
