=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Standards-Version: 3.9.8
 Build-Depends: dpkg (>= 1.13.19), debhelper (>= 9), gawk, kmod
 Build-Depends-Arch:
- linux-azure-fde-6.17-headers-6.17.0-1002,
- linux-headers-6.17.0-1002-azure-fde,
- linux-modules-6.17.0-1002-azure-fde,
+ linux-azure-fde-6.17-headers-6.17.0-1005,
+ linux-headers-6.17.0-1005-azure-fde,
+ linux-modules-6.17.0-1005-azure-fde,
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-meta-azure/+git/noble -b azure-fde
 
 Package: linux-headers-azure-fde-6.17
@@ -63,6 +63,67 @@
  available for Azure systems.
 
 Package: linux-cloud-tools-azure-fde-6.17
+Architecture: amd64
+Section: metapackages
+Provides: linux-cloud-tools
+Depends: ${misc:Depends}, linux-cloud-tools-${kernel-abi-version}-azure-fde
+Description: Linux kernel versioned cloud tools for Azure systems.
+ This package will always depend on the latest Linux kernel versioned cloud
+ tools available for Azure systems.
+
+Package: linux-headers-azure-fde
+Architecture: amd64
+Section: metapackages
+Priority: optional
+Depends: ${misc:Depends}, linux-headers-${kernel-abi-version}-azure-fde
+Description: Linux kernel headers for Azure systems.
+ This package will always depend on the latest kernel headers available
+ for Azure systems.
+
+Package: linux-image-azure-fde
+Architecture: amd64
+Section: metapackages
+Provides: ${dkms:zfs-modules} ${dkms:virtualbox-guest-modules} ${dkms:wireguard-linux-compat-modules}
+Priority: optional
+Depends: ${misc:Depends}, linux-image-${kernel-abi-version}-azure-fde
+Description: Linux kernel image for Azure systems (kernel.efi).
+ This package will always depend on the latest kernel image available
+ for Azure systems.
+ .
+ This package will use kernel.efi during boot.
+
+Package: linux-modules-extra-azure-fde
+Architecture: amd64
+Section: metapackages
+Priority: optional
+Provides: 
+Depends: ${misc:Depends}, linux-modules-extra-${kernel-abi-version}-azure-fde
+Description: Linux kernel extra modules for Azure systems.
+ This package will always depend on the latest extra modules package
+ available for Azure systems.
+
+Package: linux-azure-fde
+Architecture: amd64
+Section: metapackages
+Priority: optional
+Provides: 
+Depends: ${misc:Depends}, linux-image-azure-fde (= ${binary:Version}), linux-headers-azure-fde (= ${binary:Version}), linux-tools-azure-fde (= ${binary:Version}), linux-cloud-tools-azure-fde (= ${binary:Version})
+Description: Complete Linux kernel for Azure systems (kernel.efi).
+ This package will always depend on the latest complete Linux kernel available
+ for Azure systems.
+ .
+ This package will use kernel.efi during boot.
+
+Package: linux-tools-azure-fde
+Architecture: amd64
+Section: metapackages
+Provides: linux-tools
+Depends: ${misc:Depends}, linux-tools-${kernel-abi-version}-azure-fde
+Description: Linux kernel versioned tools for Azure systems.
+ This package will always depend on the latest Linux kernel versioned tools
+ available for Azure systems.
+
+Package: linux-cloud-tools-azure-fde
 Architecture: amd64
 Section: metapackages
 Provides: linux-cloud-tools
